edu.isi.pegasus.planner.catalog.site.classes

## Enum XML3PrintVisitor.DirectoryTypes

- java.lang.Object
- - java.lang.Enum<XML3PrintVisitor.DirectoryTypes>
  - - edu.isi.pegasus.planner.catalog.site.classes.XML3PrintVisitor.DirectoryTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XML3PrintVisitor.DirectoryTypes>

Enclosing class:
  XML3PrintVisitor

    private static enum XML3PrintVisitor.DirectoryTypes
    extends java.lang.Enum<XML3PrintVisitor.DirectoryTypes>

Author:
  mayani

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HEADFS_SCRATCH`
`HEADFS_STORAGE`
`WORKERFS_SCRATCH`
`WORKERFS_STORAGE`

### Method Summary

All Methods Static Methods Concrete Methods
`static XML3PrintVisitor.DirectoryTypes` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XML3PrintVisitor.DirectoryTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HEADFS_SCRATCH

    public static final XML3PrintVisitor.DirectoryTypes HEADFS_SCRATCH

#### HEADFS_STORAGE

    public static final XML3PrintVisitor.DirectoryTypes HEADFS_STORAGE

#### WORKERFS_SCRATCH

    public static final XML3PrintVisitor.DirectoryTypes WORKERFS_SCRATCH

#### WORKERFS_STORAGE

    public static final XML3PrintVisitor.DirectoryTypes WORKERFS_STORAGE

### Method Detail

#### values

    public static XML3PrintVisitor.DirectoryTypes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XML3PrintVisitor.DirectoryTypes c : XML3PrintVisitor.DirectoryTypes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XML3PrintVisitor.DirectoryTypes valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null